Bug 1064418 - Wrong verbalization for french localized labels (fr_FR)
Summary: Wrong verbalization for french localized labels (fr_FR)
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: Business Central
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ER1
: 6.3.0
Assignee: Neus Miras
QA Contact: Jiri Locker
URL:
Whiteboard:
Depends On:
Blocks: 1192479
TreeView+ depends on / blocked
 
Reported: 2014-02-12 14:58 UTC by Richard Bourner
Modified: 2020-03-27 19:40 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-27 19:40:52 UTC
Type: Bug


Attachments (Terms of Use)
Untranslated tabs in fr_FR locale. (115.06 KB, image/png)
2015-03-06 17:45 UTC, Pavel Kralik
no flags Details

Description Richard Bourner 2014-02-12 14:58:51 UTC
Description of problem:
When using the french version of business central (http://localhost:8080/business-central/org.kie.workbench.drools.KIEDroolsWebapp/KIEDroolsWebapp.html?locale=fr_FR), some wording is incorrect or not translated in the UI.

Business Process -> Processus Métier
Uploaded file -> Fichier téléchargé
Editeur Graphique -> Règle (éditeur guidé)
Nouvelle règle d'éditeur guidé -> Template de règle
Repository -> Référentiel
Categories Editor -> Editeur de catégories
Refresh -> Rafraîchir
Project Explorer -> Explorateur de Projets
Project Editor -> Editeur de Projets
Data Modeler -> Modeleur de Données
Guided Decision Table -> Table de Décision (éditeur guidé)
Guided Rule -> Règle (éditeur guidé)
search... -> rechercher...
Référentiel artefact -> Artefact de référentiel
Upload -> Charger
Name -> Nom
Path -> Chemin 
LastModified -> Dernière modification
Open -> Ouvrir
Download -> Télécharger
Help -> Aide
Resource Name -> Nom de ressource
Location -> Emplacement
Business Processes -> Processus Métiers
Domain Specific Language Definition -> Définition DSL
Work Item Definitions -> Définitions de Work Item
Enumeration Definition -> Définition d'énumérés
Add enum -> Ajouter un énuméré
Choose file... -> Sélectionner un fichier

Also, it looks like none of the labels in the web designer seem translated. Is this because it is a different web app?  Is it planned to translate it as well?

Comment 1 manstis 2014-02-12 15:00:21 UTC
You'll probably need to liaise with Tiho and Toshiya about these issues.

Comment 3 Neus Miras 2014-02-18 12:10:54 UTC
These changes has been included in product translations updates listed at https://bugzilla.redhat.com/show_bug.cgi?id=1063284

Comment 4 Lukáš Petrovický 2014-03-03 15:49:39 UTC
Richard, would you mind verifying that the translations are now correct. I am far from qualified for veryfing this myself. :-)

Comment 5 Richard Bourner 2014-03-03 16:06:04 UTC
Lukáš, I can check indeed the translation, but you need to let me know how to get to the BRMS 6 version that has the fix.

Comment 8 Marek Baluch 2014-05-05 17:55:44 UTC
I went over the translations (I hope I found them all) and here's the result:

@Richard - It would be really appreciated if you could double-check (QE people are not experts on translations) - Thank you.

*** FIXED
Business Process -> Processus Métier (OK)
Repository -> Référentiel (OK)
Project Explorer -> Explorateur de Projets (OK)
Project Editor -> Editeur de Projets (OK)
search... -> rechercher... (OK)
Domain Specific Language Definition -> Définition DSL (OK)
Work Item Definitions -> Définitions de Work Item (OK)
Upload -> Charger (OK)
Name -> Nom (OK)
Path -> Chemin (OK)
LastModified -> Dernière modification (OK)
Open -> Ouvrir (OK)
Download -> Télécharger (OK)
Refresh -> Rafraîchir (OK)
Resource Name -> Nom de ressource (OK)
Location -> Emplacement (OK)
Nouvelle règle d'éditeur guidé -> Template de règle (OK)
Uploaded file -> Fichier téléchargé (OK)
Guided Decision Table -> Table de Décision (éditeur guidé) (OK)
Business Processes -> Processus Métiers (Translated otherwise but should be OK)
Choose file... -> Sélectionner un fichier (translated as "Choisir" - I guess that's OK)
Add enum -> Ajouter un énuméré (OK)

*** NOT FIXED
Data Modeler -> Modeleur de Données 
 	+ "Tools" menu (not translated)
Help -> Aide (Not translated)
Editeur Graphique -> Règle (éditeur guidé) (Not OK)
	+ "New Item" menu (Not translated)
	+ "New Item" -> "Guided Rule" (
		+ Popup which asks to enter the data for the new rule wrongly translated
Guided Rule -> Règle (éditeur guidé)
	+ New Item" menu says "Editeur graphiques (Wrong translation ???)
Categories Editor -> Editeur de catégories (Not OK)
	+ Some titles are "Éditeur les catégories" not "Editeur de catégories"
Référentiel artefact -> Artefact de référentiel
	+ "Authoring" menu (Not corrected)

*** NEW
"New Item" -> "DRL file"
	+ Use Domain Specific Language (DSL) ("Use" word not translated)
Organizational Units (menu)
	+ "Manage Organizational Units" (not translated)
Organizational Units -> "Add Organizational Unit"
	+ Click "Add"
		+ wile pop-up to add a new unit is not translated
Process Editor
	+ "Process Modeling Tab" not translated
	+ Process Properties: 
		- "Package" -> Paquet ??
		+ "TypeLanguage" -> ??
	+ Dialog informing that changes will be lost is not translated

Comment 9 Richard Bourner 2014-05-07 15:29:01 UTC
I double checked the translation.  Please find my comments below:

- Several "Choose file..." are not translated
- what you wrote as "NOT FIXED" is still work in progress I believe?
- all the items in the left hand side (such as Business Processes, Guided Rule (with DSL),...) need to be translated
- some of the "search..." labels are still in english
- KBase (Knowledge Base) = Base de Connaissance
- Knowledge Session = Session 
- there is a typo in the projet editor: "Par défau" should be "Par défaut"
- score card creation menu - wrong title : "Créer Nouveau Nouvelle Score Card". Should be "Créer Nouvelle Score Card"
- global creation menu - wrong title : "Créer Nouveau Variable(s) globale(s)". Should be "Créer Nouvelle(s) Variable(s) Globale(s)"
- in the business process designer, nothing seems translated yet
- in the rules, "show options..." should be translated in "Afficher options..."
- in the scenarios, "Call method" should be translated in "Appeler méthode"
- The Repository section is not translated: "RepositoriesEditor", "General Information", "Delete", "available protocols", etc...

Comment 10 Neus Miras 2014-12-02 12:37:12 UTC
After the i18n review those are the results


Data Modeler -> Modeleur de Données (Doesn't exists anymore)
	+ "Tools" menu (not translated) (Doesn't exists anymore)
Editeur Graphique -> Règle (éditeur guidé) (OK)
	+ "New Item" menu (Not translated)(OK) 
	+ "New Item" -> "Guided Rule" (OK)
		+ Popup which asks to enter the data for the new rule wrongly translated (OK)
Guided Rule -> Règle (éditeur guidé) (OK)
	+ New Item" menu says "Editeur graphiques (OK)
Categories Editor -> Editeur de catégories (OK)
	+ Some titles are "Éditeur les catégories" not "Editeur de catégories"(OK)  
Référentiel artefact -> Artefact de référentiel (OK)
	+ "Authoring" menu (Not corrected)(OK)


- Several "Choose file..." are not translated
- all the items in the left hand side (such as Business Processes, Guided Rule (with DSL),...) need to be translated (OK)
- some of the "search..." labels are still in english (OK)
- KBase (Knowledge Base) = Base de Connaissance (OK)
- Knowledge Session = Session (OK)
- there is a typo in the projet editor: "Par défau" should be "Par défaut" (OK)
- score card creation menu - wrong title : "Créer Nouveau Nouvelle Score Card". Should be "Créer Nouvelle Score Card"
- global creation menu - wrong title : "Créer Nouveau Variable(s) globale(s)". Should be "Créer Nouvelle(s) Variable(s) Globale(s)"
- in the business process designer, nothing seems translated yet (OK)
- in the rules, "show options..." should be translated in "Afficher options..."
- in the scenarios, "Call method" should be translated in "Appeler méthode"(OK)
- The Repository section is not translated: "RepositoriesEditor", "General Information", "Delete", "available protocols", etc...(OK)

Updated zanata translations in zanata framework, These translations will be correctly updated while the release process.

Comment 11 Pavel Kralik 2015-01-23 14:14:18 UTC
Not translated:

Opérations d'auteur > Administration
Process Management >
Extensions > Apps

Welcome screen

Accueil > Chronologie screen
- There are no social events...yet!
- Showing updates for:
- Latest changes

Comment 12 Pavel Kralik 2015-01-23 14:16:21 UTC
Richard, would you mind verifying that the translations are now correct.

Comment 14 Pavel Kralik 2015-02-13 13:43:54 UTC
Localization does not work at all in BPMS 6.1.0.ER5.

Comment 15 Neus Miras 2015-02-16 10:21:59 UTC
At the community release the i18n is ok. This issue must be related with the productization process and the profile used. It seems the product release isn't generated with -Dfull.

Comment 16 Pavel Kralik 2015-03-06 17:45:43 UTC
Created attachment 998963 [details]
Untranslated tabs in fr_FR locale.

Comment 17 Pavel Kralik 2015-03-06 17:46:23 UTC
Some tabs are not translated in BPMS 6.1.0.ER6

Comment 18 Richard Bourner 2015-12-29 12:57:06 UTC
Some additional changes regarding translation into French review :
- Business Rules -> "Règles métier" instead of "règles d'entreprise"
- Valider l'entreprise -> incorrect. Should be "Valider le métier"
- Tableau des règles et décision -> incorrect. Should be "Règles métier et Tables de Décision"
- "scénarios de test" instead of "scenarios test"
- Mortgage is not "Hypothèque" but instead "Prêt Immobilier"
- "Nouveau Hypothèques" -> incorrect. should be ""
- "Hypothèque Approbation" -> incorrect. Should be ""
- "téléversées" -> incorrect. should be "chargées"
- "Référentiel GIT" instead of "GIT Référentiel"
- "Les applications clientes" instead of "Les applications client"
- "The execution server listens for new deployment units in the Maven repository" -> should be "Le serveur d'exécution scrute de nouvelles unités de déploiement depuis le référentiel Maven"
- "Guided Editor" -> should be "Editeur guidé de règles" instead of "Editeur graphique"
- Data modeller was not translated. Should be "Modeleur de données"
- Something really annoying in the process modeler : the icons sorting depends on the language. For french, the order (left to right) of the icons in the menu bar is not the same as in english.
- "Référentiel artefact" -> incorrect. Should be "Artéfact de référentiel"
" Artefact télécharger" -> should be "Télécharger artéfact"
-"Processus commerciaux" -> incorrect. Should be "Processus métier"

Comment 20 croe@redhat.com 2016-03-04 07:10:27 UTC
Thank you for your valuable feedback. As you have guessed,this is a work in progress, and so far, we have mostly translated in Zanata (without context), but be reassured that a thorough proofreading taking into consideration your remarks and preferences listed above have just been completed today and yesterday for fr-FR.

Please do not hesitate to add further comments or contact us directly if needed, as this is very valuable to us.

Comment 21 Pavel Kralik 2016-04-06 08:46:55 UTC
Some translation into French still missing:

Open any Processus métier and in the designer: "Process Modelling"
Project Explorer -> Explorateur de Projets
Explorer -> Explorateur
Task perspective - "Admin" filter?

Comment 22 croe@redhat.com 2016-04-06 22:50:34 UTC
Hi Pavel, I just checked how 'Explorer' was translated in Zanata, and all is correct ('Explorateur'). The reason why you don't see it on the UI is because the latest Zanata translations have not been pushed yet. My understanding is that it will happen by the end of this month.

Comment 23 Cristiano Nicolai 2016-04-27 06:37:23 UTC
Hi Corina, based on 6.3.0.CR1 build I can check that both "Admin" and "Extensions" are translated as in English. Is this the expected translation?

Comment 24 croe@redhat.com 2016-04-27 21:42:09 UTC
Hi Cristiano, 

Are there further customer complains about the translation? Please let me have access to them if this is the case.

'Admin' is the same word in French, shortcut of 'Administration' just like in English.It comes from Administrator in Latin, and is shared in a number of latin based language.Admin is perfectly acceptable in French when UI space constraints dictates.

As for 'Extensions', it depends on context, so you'll have to send me a screenshot, or we could perhaps induce the meaning from the surrounding sentences in Zanata, but most of the time, it is the same word as well as shown in https://www.microsoft.com/Language/en-US/Search.aspx?sString=credentials&langID=fr-fr

I hope this clarifies.

Comment 25 Cristiano Nicolai 2016-04-28 05:51:15 UTC
Hi Corina,

Thanks for clarifying that, I just wanted to double check that this is the expected state, also to help QA to be aware of that when verifying the resolution of this bug.

In regards to 'Extensions', please verify the screenshot attached to this bug: https://bugzilla.redhat.com/attachment.cgi?id=998963

Comment 26 Cristiano Nicolai 2016-04-28 05:54:07 UTC
Fixed missing i18n for docks title ( Project Explorer ) on master:

https://github.com/droolsjbpm/kie-wb-distributions/commit/8518cfc56ee0aeab04dce7ce4ec35aeee65294c7


Note You need to log in before you can comment on or make changes to this bug.